package com.heaton.forum;
import java.util.*;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This file holds a forum message.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */

public class Message {

  /**
   * The forum code that designates the forum
   * that this message belongs to.
   */
  private String forumCode;

  /**
   * The message number.
   */
  private int number;

  /**
   * When was this message posted.
   */
  private Date posted;

  /**
   * The subject of this message
   */
  private String subject;

  /**
   * The sender of this message.
   */
  private String sender;

  /**
   * The message body.
   */
  private String message;

  public String getForumCode()
  {
    return this.forumCode;
  }

  public void setForumCode(String forumCode)
  {
    this.forumCode = forumCode.toUpperCase();
  }

  public int getNumber()
  {
    return this.number;
  }

  public void setNumber(int number)
  {
    this.number = number;
  }

  public Date getPosted()
  {
    return this.posted;
  }

  public void setPosted(Date posted)
  {
    this.posted = posted;
  }

  public String getSubject()
  {
    return this.subject;
  }

  public void setSubject(String subject)
  {
    this.subject = subject;
  }

  public String getSender()
  {
    return this.sender;
  }

  public void setSender(String sender)
  {
    this.sender = sender;
  }

  public String getMessage()
  {
    return this.message;
  }

  public void setMessage(String message)
  {
    this.message = message;
  }



}
